#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDE,0x42,0xA2,0x04,0x3E,0x5F,0x31,0x0D,0x61,0xEE,0xEB,0xB4,
		0x72,0x75,0x94,0x75,0x45,0x29,0xE9,0x71,0x14,0xCB,0xDA,0xE2,
		0x89,0xBB,0x01,0x1E,0x8E,0x7E,0xA5,0xF6,0xA9,0xE4,0xC2,0x78,
		0x6C,0x6B,0x02,0x0F,0x82,0xD1,0xDB,0xD3,0x8E,0x48,0x39,0x56,
		0x28,0x56,0xC1,0x7D,0x8C,0x69,0x92,0x46,0xED,0x9A,0x46,0xAB,
		0x0E,0x87,0x4A,0x3B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
